---
apiVersion: operator.victoriametrics.com/v1beta1
kind: VMAlert
metadata:
  name: main
  namespace: observability
spec:
  replicaCount: 1
  selectAllByDefault: true
  evaluationInterval: 30s
  datasource:
    url: http://vmselect-main.observability.svc.cluster.local:8481/select/0/prometheus/
  remoteWrite:
    url: http://vminsert-main.observability.svc.cluster.local:8480/insert/0/prometheus/
  remoteRead:
    url: http://vmselect-main.observability.svc.cluster.local:8481/select/0/prometheus/
  extraArgs:
    loggerFormat: json
    # recording rules only for now; no alertmanager deployed
    notifier.blackhole: "true"
  resources:
    requests:
      cpu: 50m
      memory: 128Mi
    limits:
      cpu: 500m
      memory: 512Mi
